Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs.s3
Class Block

    java.lang.Object
      org.apache.hadoop.fs.s3.Block

    public class Block

extends Object

Holds metadata about a block of data being stored in a `FileSystemStore`.

Constructor Summary
`Block(long id, long length)`

Method Summary
`long` | `getId()`
`long` | `getLength()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Block

    public Block(long id,
                 long length)

Method Detail

### getId

    public long getId()

### getLength

    public long getLength()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation